# OIDC France Connect

Please see module page here : https://www.drupal.org/project/oidc_franceconnect

This module allows connecting and authenticating in Drupal 10, with OpenID Connect and French government authentication service France Connect.

For this module you will need to be allowed as a service provider by France Connect.

## Features
- Mandatory nonce for France Connect is managed by the module
- eIDAS levels 1,2 or 3
- selectable data fields to retrieve
- sandbox or production mode and enpoints
- France Connect login block

## Post-Installation
- Enable the module
- Go to /admin/config/people/openid-connect
- Add France Connect client
- Configure it : add your public/private keys, choose sandbox mode or production, eIDAS level, and fields to retrieve
- Go to /admin/structure/block and place the France Connect login block in a region of your theme

## Additional Requirements
This module requires version 3 of OpenID module.

## Similar projects
There was this module but its repo has always been empty.